Skip to main content
GET
/
v2
/
chargeboxes
Fetches a list of charge boxes.
curl --request GET \
  --url https://api.spirii.com/v2/chargeboxes \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": 123456,
      "chargeBoxIdentity": "DK.SPI.000001",
      "serialNumber": "SN-000001",
      "isOnline": true,
      "locationId": 123,
      "updatedAt": "2025-01-27 09:38:41",
      "createdAt": "2025-01-27 09:38:41",
      "evses": [
        {
          "uid": 123456,
          "evseId": "DK.12343*1",
          "chargeboxId": 123,
          "status": "CHARGING",
          "connectors": [
            {
              "id": 1,
              "standard": "CHADEMO",
              "format": "SOCKET",
              "powerType": "DC",
              "maxElectricPower": 22,
              "maxAmperage": 32,
              "maxVoltage": 400,
              "tariffIds": [
                "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
              ],
              "error": {
                "errorCode": "UnderVoltage",
                "info": "NO_VOLTAGE_L2_L3",
                "vendorErrorCode": "134217728"
              },
              "deletedAt": "2025-01-27 09:38:41"
            }
          ]
        }
      ],
      "model": {
        "id": 123456,
        "vendor": "Zaptec",
        "name": "HYC_300",
        "plugAndChargeValidated": true,
        "firmwareManagementValidated": true,
        "updatedAt": "2025-01-27 09:38:41",
        "createdAt": "2025-01-27 09:38:41",
        "description": "Latest and greatest from Zaptec"
      },
      "firmwareVersion": "FM-000001",
      "customer": {
        "id": 123456
      },
      "lastConnectionEventAt": "2025-01-27 09:38:41",
      "deletedAt": "2025-01-27 09:38:41"
    }
  ],
  "nextPageCursor": "My0xMDAw",
  "previousPageCursor": "My0xMDAw"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Query Parameters

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"

limit
integer
default:25

Limit amount of returned records.

Required range: 1 <= x <= 100
ids
number[]

List of IDs that uniquely identify the charge boxes

Example:
[123, 456]
locationIds
number[]

List of IDs that uniquely identifies the locations

Example:
[123, 456]
includeDeletedChargeboxes
boolean
default:false

Whether to include deleted charge boxes in the results.

includeDeletedConnectors
boolean
default:false

Whether to include deleted connectors in the results.

Response

data
object[]
required

List of charge boxes

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"